2019-12-05 22:08 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002748FSSCPFREDpublic2012-12-05 12:40
ReporterFUBAR-BDHR 
Assigned ToFUBAR-BDHR 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.15 
Target VersionFixed in Version3.6.15 
Summary0002748: Wing delay values not reset when unsing file->new
DescriptionIf you load or create a mission then use the file->new (ctrl-n) function to begin working on another mission any arrival delays for wings are not reset. This is not tied to the wing name in any way but probably the slot the wing was using.
Steps To ReproduceOpen FRED
Create player wing alpha for the starting ship
Place 6 additional Uly ships
Select the first ship. Edit it in the ships editor and give it a delay
Do the same for the second ship
(note the above 2 are just controls to show that it works for ships)
Close the ship editor
Select ships 3 and 4
Create a wing (I used name test 5 second)
Repeat for ships 5 and 6 (I used test 10 second)
Open the wing editor
Edit the wing with ships 3 and 4. Assign a delay (I used 5 seconds for obvious reasons)
Repeat for the wing with ships 5 and 6 with a different delay.
save mission
go to file->new or press ctrl-n
Create alpha again
Add the 6 ships again
create the 2 wings again
Open ship editor and check delays for the first 2 ships. you should see they are back to 0
Open wing editor and check delays. They should be showing the previous delay values instead of 0 which is the bug.
Exit FRED without saving
Go back into FRED
Open the saved mission
Just do the file-new or ctrl-n
Create alpha again
Create the 6 ships and 2 wings again
Look at the delays in the ship and wing editor again. You should see values in the delay for the wings again. Another example of the bug.
Additional Information3.6.15 r9392

TagsNo tags attached.
Attached Files
  • patch file icon 2748.patch (710 bytes) 2012-12-04 23:12 -
    Index: fred2/wing.cpp
    ===================================================================
    --- fred2/wing.cpp	(revision 9392)
    +++ fred2/wing.cpp	(working copy)
    @@ -306,10 +306,14 @@
     		Wings[wing].arrival_location = Wings[wing].departure_location = 0;
     		Wings[wing].arrival_distance = 0;
     		Wings[wing].arrival_anchor = -1;
    +		Wings[wing].arrival_delay = 0;
     		Wings[wing].arrival_cue = Locked_sexp_true;
    +		Wings[wing].departure_delay = 0;
     		Wings[wing].departure_cue = Locked_sexp_false;
     		Wings[wing].hotkey = -1;
     		Wings[wing].flags = 0;
    +		Wings[wing].wave_delay_min = 0;
    +		Wings[wing].wave_delay_max = 0;
     
     		for (i=0; i<MAX_AI_GOALS; i++) {
     			Wings[wing].ai_goals[i].ai_mode = AI_GOAL_NONE;
    
    patch file icon 2748.patch (710 bytes) 2012-12-04 23:12 +

-Relationships
+Relationships

-Notes

~0014300

FUBAR-BDHR (developer)

Found min and max delay were also not reset. Patch attached.

~0014306

Goober5000 (administrator)

Patch looks good and this is the only location in FRED where it needs to be applied. Someone can commit this, or I can do it this evening.

~0014307

FUBAR-BDHR (developer)

Committed r9400
+Notes

-Issue History
Date Modified Username Field Change
2012-12-04 21:26 FUBAR-BDHR New Issue
2012-12-04 23:12 FUBAR-BDHR File Added: 2748.patch
2012-12-04 23:12 FUBAR-BDHR Assigned To => FUBAR-BDHR
2012-12-04 23:12 FUBAR-BDHR Status new => assigned
2012-12-04 23:12 FUBAR-BDHR Status assigned => code review
2012-12-04 23:13 FUBAR-BDHR Note Added: 0014300
2012-12-05 11:45 Goober5000 Note Added: 0014306
2012-12-05 12:40 FUBAR-BDHR Note Added: 0014307
2012-12-05 12:40 FUBAR-BDHR Status code review => resolved
2012-12-05 12:40 FUBAR-BDHR Fixed in Version => 3.6.15
2012-12-05 12:40 FUBAR-BDHR Resolution open => fixed
+Issue History